Update Ivr Detection#
Turns IVR detection on or off for an agent. isEnabled is required. An unknown agent id returns 404.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_idstringpathrequired
Public agent id from List Agents
isEnabledbooleanbodyrequired
Turn IVR detection on or off.
curl --request PATCH \
--url https://app.rizzdial.com/api/ai/agent/v2/manage/call-handling/ivr-detection/agent_123 \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"isEnabled":true}'successboolean
true when the settings are saved
messagestring
Short result message
dataobject
The saved settings